Skip to main content
DELETE
/
v2
/
me
/
ooo
/
{oooId}
Delete an out-of-office entry for the authenticated user
curl --request DELETE \
  --url https://api.cal.com/v2/me/ooo/{oooId} \
  --header 'Authorization: <authorization>'
import requests

url = "https://api.cal.com/v2/me/ooo/{oooId}"

headers = {"Authorization": "<authorization>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {Authorization: '<authorization>'}};

fetch('https://api.cal.com/v2/me/ooo/{oooId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "success",
  "data": {
    "userId": 2,
    "id": 2,
    "uuid": "e84be5a3-4696-49e3-acc7-b2f3999c3b94",
    "start": "2023-05-01T00:00:00.000Z",
    "end": "2023-05-10T23:59:59.999Z",
    "toUserId": 2,
    "notes": "Vacation in Hawaii",
    "reason": "vacation"
  }
}

Headers

Authorization
string
required

value must be Bearer <token> where <token> is api key prefixed with cal_, managed user access token, or OAuth access token

Path Parameters

oooId
number
required

Response

200 - application/json
status
enum<string>
required
Available options:
success,
error
Example:

"success"

data
object
required